Page MenuHomePhabricator

mono: encapsulate internal delegates
ClosedPublic

Authored by lauromoura on Oct 10 2019, 4:07 AM.

Details

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
YOhoho created this revision.Oct 10 2019, 4:07 AM
YOhoho requested review of this revision.Oct 10 2019, 4:07 AM

Currently the test library Dummy.Part_Holder implements Efl.Part.part_get and currently needs access to its delegate in the generated code.

segfaultxavi requested changes to this revision.Oct 24 2019, 9:39 AM

Hooray for hiding internal stuff!
But I cannot apply this.

This revision now requires changes to proceed.Oct 24 2019, 9:39 AM
lauromoura accepted this revision.Oct 28 2019, 3:15 PM

Accepting after rebase

lauromoura commandeered this revision.Oct 28 2019, 3:16 PM
lauromoura edited reviewers, added: YOhoho; removed: lauromoura.

Well, updating after rebasing, as Xavi started reviewing.

lauromoura updated this revision to Diff 26450.Oct 28 2019, 3:16 PM

Update after rebase.

segfaultxavi resigned from this revision.Oct 29 2019, 6:24 AM

No serious review here, just checking that it built :)

YOhoho accepted this revision.Oct 29 2019, 7:17 AM
This revision is now accepted and ready to land.Oct 29 2019, 7:17 AM

Ooops. Didn't refresh the page before adding Bruno :)

This revision was automatically updated to reflect the committed changes.